package com.fuint.repository.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
@TableName("mt_table_category")
@ApiModel(value = "mt_table_category表对象", description = "mt_table_category表对象")
public class MtTableCategory {

	@ApiModelProperty("餐桌分类Id")
	@TableId(value = "ID", type = IdType.ID_WORKER)
	private Long id;

	@ApiModelProperty("店铺id")
	private Long storeId;

	@ApiModelProperty("分类名")
	private String categoryName;

	@ApiModelProperty("描述")
	private String description;

	@ApiModelProperty("创建时间")
	private Date createTime;

	@ApiModelProperty("更新时间")
	private Date updateTime;

	@ApiModelProperty("A：正常；D：删除")
	private String status;
}
