package com.fuint.repository.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
@TableName("mt_table_info")
@ApiModel(value = "mt_table_category表对象", description = "mt_table_category表对象")
public class MtTableInfo {

	@ApiModelProperty("自增ID")
	@TableId(value = "ID", type = IdType.ID_WORKER)
	private Long id;

	@ApiModelProperty("餐桌分类id")
	private Long categoryId;

	@ApiModelProperty("餐桌编号")
	private String tableNumber;

	@ApiModelProperty("餐桌状态，0空闲、1占用或2预订")
	private Integer tableStatus;

	@ApiModelProperty("餐桌容纳人数")
	private Integer capacity;

	@ApiModelProperty("创建时间")
	private Date createTime;

	@ApiModelProperty("更新时间")
	private Date updateTime;
}
